> For the complete documentation index, see [llms.txt](https://docs.veilnyx.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.veilnyx.com/veilnyx-sdk/balances-and-history.md).

# Balances And History

## Balance

Reading balances using an instance of SDK is simply calling `getBalances()` a method of it.

```typescript
const balances = await veilnyx.getBalances();
```

The result `balances` In this case is a mapping of asset ID to the amount of that asset. E.g.

```typescript
// balances (assetId -> amount)
{
    65537: 5000n,
    65538: 4n, 
    65539: 10203n,
    .
    .
    .
}
```

## Transaction History

Reading the transaction history of a user is also as simple as calling `getHistory()` the method:

```typescript
const txHistory = await veilnyx.getHistory();
```

The `txHistory` is a list of historical items with multiple fields:

* `hash`: The transaction hash identifying the transaction.
* `action`: A string denoting the type of transaction, like `deposit`, `withdraw`, `receive`, etc.
* `assets`: The assets involved in the transaction.
* `timestamp`: The timestamp of the transaction.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.veilnyx.com/veilnyx-sdk/balances-and-history.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
